Bug 1569578 - apipie-bindings are only available via tfm SCL
Summary: apipie-bindings are only available via tfm SCL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs API Guide
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Melanie Corr
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 14:18 UTC by Evgeni Golov
Modified: 2019-09-26 17:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-25 13:02:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Evgeni Golov 2018-04-19 14:18:13 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/api_guide/sect-api_guide-satellite_6-api_using_apipie_bindings

Section Number and Name: 
4.2.2. USING APIPIE BINDINGS

Describe the issue:
Starting with Satellite 6.3.0, we don't ship "apipie-bindings" for the system Ruby anymore. Users who wish to use that gem, need to use the Ruby from the tfm SCL by calling "tfm-ruby" instead of "ruby".

Suggestions for improvement: 
- #!/usr/bin/ruby
+ #!/usr/bin/tfm-ruby


Additional information:


Note You need to log in before you can comment on or make changes to this bug.